A specific ID is required for editing Actions & Results. This article explains how to retrieve that ID.
How to Find the ID
To keep things short and simple, first send a GET request to the following endpoint:
https://loanpro.simnang.com/api/public/api/1/odata.svc/Loans({LoanID})?$expand=ActionResultNotes/ActionResultSelectionItems
(Be sure to replace the {Loan ID} path parameter with your loan's ID.)
The response payload is formatted as follows:
{
"d": {
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/Loans(id=9114)",
"type": "Entity.Loan"
},
... // <-- We're skipping over the expansive list of objects that are listed here.
},
"ActionResultNotes": {
"results": [
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultNotes(id=74)",
"type": "Entity.ActionResultNote"
},
"ActionResultSelectionItems": { // In case you're confused about what "selection" means in this context, a selection is a combination of an action and result.
"results": [
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultSelectionItems(id=68)",
"type": "Entity.ActionResultSelectionItem"
},
"Note": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=68)/Note"
}
},
"Action": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=68)/Action"
}
},
"Result": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=68)/Result"
}
},
"id": 68, // <-- 👈 THIS IS WHAT YOU'RE LOOKING FOR.
"noteId": 74,
"actionId": 3,
"resultId": 3,
"actionText": "Covid Relief",
"resultText": "Covid Accepted"
}
]
},
"Attachments": {
"__deferred": {
"uri": "ActionResultNotes(id=74)/Attachments"
}
},
"id": 74,
"loanId": 9114,
"note": "<p>This is an action and results note.</p>",
"createUser": 9427,
"createUserName": "John Doe",
"remoteAddr": "74.122.76.110",
"created": "/Date(1648747689)/",
"lastUpdated": "2022-03-31 20:38:07"
}
]
},
"id": 9114,
"displayId": "9114",
"title": "9114",
"settingsId": 8750,
"setupId": 9100,
"insurancePolicyId": null,
"collateralId": 0,
"linkedLoan": null,
"modId": null,
"modTotal": 0,
"humanActivityDate": "/Date(1648684800)/",
"created": "/Date(1632417902)/",
"lastMaintRun": "/Date(1648717835)/",
"createdBy": 9678,
"active": 1,
"archived": 0,
"loanAlert": null,
"temporaryAccount": 0,
"deleted": 0,
"deletedAt": null,
"_relatedMetadata": null,
"_dynamicProperties": null
}
}
{
"d": {
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/Loans(id=9114)",
"type": "Entity.Loan"
},
"Insurance": {
"__deferred": {
"uri": "Loans(id=9114)/Insurance"
}
},
"CustomFieldValues": {
"__deferred": {
"uri": "Loans(id=9114)/CustomFieldValues"
}
},
"ChecklistItemValues": {
"__deferred": {
"uri": "Loans(id=9114)/ChecklistItemValues"
}
},
"Documents": {
"__deferred": {
"uri": "Loans(id=9114)/Documents"
}
},
"Collateral": {
"__deferred": {
"uri": "Loans(id=9114)/Collateral"
}
},
"LoanSettings": {
"__deferred": {
"uri": "Loans(id=9114)/LoanSettings"
}
},
"LoanSetup": {
"__deferred": {
"uri": "Loans(id=9114)/LoanSetup"
}
},
"Notes": {
"__deferred": {
"uri": "Loans(id=9114)/Notes"
}
},
"Promises": {
"__deferred": {
"uri": "Loans(id=9114)/Promises"
}
},
"Bankruptcies": {
"__deferred": {
"uri": "Loans(id=9114)/Bankruptcies"
}
},
"Charges": {
"__deferred": {
"uri": "Loans(id=9114)/Charges"
}
},
"Payments": {
"__deferred": {
"uri": "Loans(id=9114)/Payments"
}
},
"LoanFunding": {
"__deferred": {
"uri": "Loans(id=9114)/LoanFunding"
}
},
"Advancements": {
"__deferred": {
"uri": "Loans(id=9114)/Advancements"
}
},
"Credits": {
"__deferred": {
"uri": "Loans(id=9114)/Credits"
}
},
"DueDateChanges": {
"__deferred": {
"uri": "Loans(id=9114)/DueDateChanges"
}
},
"CurtailmentDates": {
"__deferred": {
"uri": "Loans(id=9114)/CurtailmentDates"
}
},
"StatusArchive": {
"__deferred": {
"uri": "Loans(id=9114)/StatusArchive"
}
},
"Transactions": {
"__deferred": {
"uri": "Loans(id=9114)/Transactions"
}
},
"EscrowCalculatedTx": {
"__deferred": {
"uri": "Loans(id=9114)/EscrowCalculatedTx"
}
},
"ScheduleRolls": {
"__deferred": {
"uri": "Loans(id=9114)/ScheduleRolls"
}
},
"StopInterestDates": {
"__deferred": {
"uri": "Loans(id=9114)/StopInterestDates"
}
},
"APDAdjustments": {
"__deferred": {
"uri": "Loans(id=9114)/APDAdjustments"
}
},
"DPDAdjustments": {
"__deferred": {
"uri": "Loans(id=9114)/DPDAdjustments"
}
},
"InterestAdjustments": {
"__deferred": {
"uri": "Loans(id=9114)/InterestAdjustments"
}
},
"LoanModifications": {
"__deferred": {
"uri": "Loans(id=9114)/LoanModifications"
}
},
"EscrowAdjustments": {
"__deferred": {
"uri": "Loans(id=9114)/EscrowAdjustments"
}
},
"EscrowTransactions": {
"__deferred": {
"uri": "Loans(id=9114)/EscrowTransactions"
}
},
"EscrowSubsetOptions": {
"__deferred": {
"uri": "Loans(id=9114)/EscrowSubsetOptions"
}
},
"EscrowCalculators": {
"__deferred": {
"uri": "Loans(id=9114)/EscrowCalculators"
}
},
"EstimatedDisbursements": {
"__deferred": {
"uri": "Loans(id=9114)/EstimatedDisbursements"
}
},
"Loans": {
"__deferred": {
"uri": "Loans(id=9114)/Loans"
}
},
"LinkedLoanValues": {
"__deferred": {
"uri": "Loans(id=9114)/LinkedLoanValues"
}
},
"LoanChilds": {
"__deferred": {
"uri": "Loans(id=9114)/LoanChilds"
}
},
"RecurrentCharges": {
"__deferred": {
"uri": "Loans(id=9114)/RecurrentCharges"
}
},
"PayNearMeOrders": {
"__deferred": {
"uri": "Loans(id=9114)/PayNearMeOrders"
}
},
"Customers": {
"__deferred": {
"uri": "Loans(id=9114)/Customers"
}
},
"Portfolios": {
"__deferred": {
"uri": "Loans(id=9114)/Portfolios"
}
},
"SubPortfolios": {
"__deferred": {
"uri": "Loans(id=9114)/SubPortfolios"
}
},
"EscrowSubsets": {
"__deferred": {
"uri": "Loans(id=9114)/EscrowSubsets"
}
},
"RuleApplied": {
"__deferred": {
"uri": "Loans(id=9114)/RuleApplied"
}
},
"RuleAppliedLoanSettings": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedLoanSettings"
}
},
"RuleAppliedChargeOff": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedChargeOff"
}
},
"RuleAppliedAPDReset": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedAPDReset"
}
},
"RuleAppliedChecklists": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedChecklists"
}
},
"RuleAppliedChangeDueDates": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedChangeDueDates"
}
},
"RuleAppliedStopInterest": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedStopInterest"
}
},
"RuleAppliedAccountTools": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedAccountTools"
}
},
"RuleAppliedCustomerTools": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedCustomerTools"
}
},
"RuleAppliedAutopay": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedAutopay"
}
},
"RuleAppliedLoanSetup": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedLoanSetup"
}
},
"RuleAppliedBankruptcy": {
"__deferred": {
"uri": "Loans(id=9114)/RuleAppliedBankruptcy"
}
},
"Autopays": {
"__deferred": {
"uri": "Loans(id=9114)/Autopays"
}
},
"ActionResultNotes": {
"results": [
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultNotes(id=59)",
"type": "Entity.ActionResultNote"
},
"ActionResultSelectionItems": {
"results": []
},
"Attachments": {
"__deferred": {
"uri": "ActionResultNotes(id=59)/Attachments"
}
},
"id": 59,
"loanId": 9114,
"note": "Every action has an equal and opposite reaction.",
"createUser": 10124,
"createUserName": "Jane Doe",
"remoteAddr": "74.122.76.110,3.227.",
"created": "/Date(1641320574)/",
"lastUpdated": "2022-01-04 18:22:54"
},
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultNotes(id=61)",
"type": "Entity.ActionResultNote"
},
"ActionResultSelectionItems": {
"results": []
},
"Attachments": {
"__deferred": {
"uri": "ActionResultNotes(id=61)/Attachments"
}
},
"id": 61,
"loanId": 9114,
"note": "Every action has an equal and opposite reaction.",
"createUser": 10124,
"createUserName": "Jane Doe",
"remoteAddr": "74.122.76.110,3.227.",
"created": "/Date(1641321543)/",
"lastUpdated": "2022-01-04 18:39:03"
},
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultNotes(id=65)",
"type": "Entity.ActionResultNote"
},
"ActionResultSelectionItems": {
"results": []
},
"Attachments": {
"__deferred": {
"uri": "ActionResultNotes(id=65)/Attachments"
}
},
"id": 65,
"loanId": 9114,
"note": "API DEMO TEST",
"createUser": 10124,
"createUserName": "Jane Doe",
"remoteAddr": "74.122.76.110,3.227.",
"created": "/Date(1641321885)/",
"lastUpdated": "2022-01-04 18:44:45"
},
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultNotes(id=70)",
"type": "Entity.ActionResultNote"
},
"ActionResultSelectionItems": {
"results": [
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultSelectionItems(id=60)",
"type": "Entity.ActionResultSelectionItem"
},
"Note": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=60)/Note"
}
},
"Action": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=60)/Action"
}
},
"Result": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=60)/Result"
}
},
"id": 60,
"noteId": 70,
"actionId": 10,
"resultId": 5,
"actionText": "API Testing",
"resultText": "Change Due Date"
}
]
},
"Attachments": {
"__deferred": {
"uri": "ActionResultNotes(id=70)/Attachments"
}
},
"id": 70,
"loanId": 9114,
"note": "<p>This is an example of using the API to log actions and results.</p>",
"createUser": 9427,
"createUserName": "John Doe",
"remoteAddr": "74.122.76.110",
"created": "/Date(1648651774)/",
"lastUpdated": "2022-03-30 16:29:42"
},
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultNotes(id=74)",
"type": "Entity.ActionResultNote"
},
"ActionResultSelectionItems": {
"results": [
{
"__metadata": {
"uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/ActionResultSelectionItems(id=68)",
"type": "Entity.ActionResultSelectionItem"
},
"Note": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=68)/Note"
}
},
"Action": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=68)/Action"
}
},
"Result": {
"__deferred": {
"uri": "ActionResultSelectionItems(id=68)/Result"
}
},
"id": 68,
"noteId": 74,
"actionId": 3,
"resultId": 3,
"actionText": "Covid Relief",
"resultText": "Covid Accepted"
}
]
},
"Attachments": {
"__deferred": {
"uri": "ActionResultNotes(id=74)/Attachments"
}
},
"id": 74,
"loanId": 9114,
"note": "<p>This is a sample note.</p>",
"createUser": 9427,
"createUserName": "John Doe",
"remoteAddr": "74.122.76.110",
"created": "/Date(1648747689)/",
"lastUpdated": "2022-03-31 20:38:07"
}
]
},
"LoanFundingTransactions": {
"__deferred": {
"uri": "Loans(id=9114)/LoanFundingTransactions"
}
},
"id": 9114,
"displayId": "9114",
"title": "9114",
"settingsId": 8750,
"setupId": 9100,
"insurancePolicyId": null,
"collateralId": 0,
"linkedLoan": null,
"modId": null,
"modTotal": 0,
"humanActivityDate": "/Date(1648684800)/",
"created": "/Date(1632417902)/",
"lastMaintRun": "/Date(1648717835)/",
"createdBy": 9678,
"active": 1,
"archived": 0,
"loanAlert": null,
"temporaryAccount": 0,
"deleted": 0,
"deletedAt": null,
"_relatedMetadata": null,
"_dynamicProperties": null
}
}
We've shortened this payload example to remove the bits that are the most irrelevant, but there is still quite a bit of information here. The ID you're looking for has a commented note, and it's listed within the ActionResultSelectionItems object.
How This ID Works
Each time an agent action and result selection is updated, its ID increases by an increment of 1. This happens because updating an agent action and result selection actually deletes it from the database and replaces it with a new one.
For example, if you update an agent action and result selection with the ID of 66, that instance will be deleted and replaced by the ~new and improved~ selection with an ID of 67.
